classification
Title: Document which compilers can be created on which platform
Type: Stage: resolved
Components: Distutils Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: alexis, eric.araujo, steve.dower, tarek
Priority: normal Keywords:

Created on 2011-06-03 17:19 by eric.araujo, last changed 2021-02-03 18:29 by steve.dower. This issue is now closed.

Messages (2)
msg137562 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-06-03 17:19
When working on the docs for new_compiler, I read that it was possible to get an msvc compiler on Unix.  I tried it, even wrote a unit test to make sure it worked, and found out that not all compiler classes can be instantiated on my platform.  This should be better documented.
msg386400 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:29
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:29:00steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386400

resolution: out of date
stage: needs patch -> resolved
2014-07-05 21:48:06BreamoreBoysetversions: + Python 3.5, - Python 3.3
2014-03-13 20:13:17eric.araujosetcomponents: + Distutils, - Distutils2
2014-03-13 20:13:00eric.araujosetassignee: tarek ->
stage: needs patch
title: Test and document which compilers can be created on which platform -> Document which compilers can be created on which platform
versions: + Python 2.7, Python 3.4
2011-06-03 17:19:55eric.araujocreate